Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspUtil

    java.lang.Object
      org.apache.jasper.compiler.JspUtil

public class JspUtil
extends java.lang.Object

This class has all the utility method(s). Ideally should move all the bean containers here.

Author:
  Mandar Raje., Rajiv Mordani.

Nested Class Summary
`static class` | `JspUtil.ValidAttribute`

Constructor Summary
`JspUtil()`

Method Summary
`static void` | `checkAttributes(java.lang.String typeOfTag, java.util.Hashtable attrs, JspUtil.ValidAttribute[] validAttributes, Mark start)`
`static java.lang.String` | `escapeQueryString(java.lang.String unescString)`
`static java.lang.String` | `escapeXml(java.lang.String s)` Escape the 5 entities defined by XML.
`static java.lang.String` | `getExpr(java.lang.String expression)`
`static boolean` | `isExpression(java.lang.String token)`
`static org.w3c.dom.Document` | `parseXMLDoc(java.io.InputStream in, java.lang.String dtdResource, java.lang.String dtdId)`
`static org.w3c.dom.Document` | `parseXMLDocJaxp(java.io.InputStream in, java.lang.String dtdResource, java.lang.String dtdId)`
`static char[]` | `removeQuotes(char[] chars)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspUtil

    public JspUtil()

Method Detail

### removeQuotes

    public static char[] removeQuotes(char[] chars)

### isExpression

    public static boolean isExpression(java.lang.String token)

### getExpr

    public static java.lang.String getExpr(java.lang.String expression)

### parseXMLDoc

    public static org.w3c.dom.Document parseXMLDoc(java.io.InputStream in,
                                                   java.lang.String dtdResource,
                                                   java.lang.String dtdId)
                                            throws JasperException

  Throws:
    `JasperException`

### parseXMLDocJaxp

    public static org.w3c.dom.Document parseXMLDocJaxp(java.io.InputStream in,
                                                       java.lang.String dtdResource,
                                                       java.lang.String dtdId)
                                                throws JasperException

  Throws:
    `JasperException`

### checkAttributes

    public static void checkAttributes(java.lang.String typeOfTag,
                                       java.util.Hashtable attrs,
                                       JspUtil.ValidAttribute[] validAttributes,
                                       Mark start)
                                throws JasperException

  Throws:
    `JasperException`

### escapeQueryString

    public static java.lang.String escapeQueryString(java.lang.String unescString)

### escapeXml

    public static java.lang.String escapeXml(java.lang.String s)

  Escape the 5 entities defined by XML.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.